-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlTransition

Declaration :

- C++ : class UmlTransition : public UmlBaseTransition, public UmlStateItem
- Java : class UmlTransition extends UmlBaseTransition implements UmlStateItem

Artifact : UmlTransition

Operation UmlTransition

Declaration :

- C++ : public: UmlTransition(void * id) : UmlBaseTransition(id)
- Java : public UmlTransition(long id)

All public operations :

activity , apply , children , childrenVisible , cppActivity , cppGuard , cppTrigger , create , defined_ , description , guard , identifier_ , isMarked , isToolRunning , isWritable , javaActivity , javaGuard , javaTrigger , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_Activity , set_childrenVisible , set_CppActivity , set_CppGuard , set_CppTrigger , set_Description , set_Guard , set_isMarked , set_JavaActivity , set_JavaGuard , set_JavaTrigger , set_Name , set_PropertyValue , set_Stereotype , set_Trigger , stereotype , supportFile , target , trigger , unload , unload